Bug 53229 - Installation International Keyboard Problems
Installation International Keyboard Problems
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-09-05 04:34 EDT by Ecmel Ercan
Modified: 2008-01-17 12:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 13:48:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ecmel Ercan 2001-09-05 04:34:06 EDT
Description of Problem:
If you make a graphical install, setup program will set the X keyboard
according to your choice but not the console keyboard.  If you make a text
mode install, setup program will set the console keyboard according to your
choice but not the X keyboard.

Version-Release number of selected component (if applicable):

How Reproducible:
Every time

Steps to Reproduce:
1. Make a graphical install of the RedHat Roswell
2. Select an international keyboard (e.g. Turkish)
3. Setup will set the X Keyboard correctly
4. Setup will not set the console keyboard and console fonts correctly. 


1. Make a text mode install
2. Select an international keyboard
3. Setup will set the console keyboard correctly (But not the console font)
4. Setup will not set the X keyboard correctly

Actual Results:
Either X keyboard or console keyboard not set correct

Expected Results:
Whether you use graphical or text mode install program, setup should set
the X keyboard, the console keyboard and the console font according to
user's selection. For example if I select Turkish keyboard in a graphical
install, setup will set X keyboard to "tr" and also it should set the
console keyboard to "trq" and the console font to "lat5-16"

Additional Information:
Comment 1 Matt Wilson 2001-09-05 17:10:45 EDT
we use lat15-sun16 (it has nice linedrawing chars for the console).

I've added the mapping from Turkish X keyboards to the trq keymap.
Comment 2 David Balažic 2001-09-12 04:52:19 EDT
Same problem for "Croatian" and "Slovenian".
I select them during GUI install,after installation they work ( I only tested 
Slovenian ) in X, but not on the console ( tested both ).

Tested with Roswell-2 ( and many older versions , back to 7.0 IIRC )
Comment 3 Ecmel Ercan 2001-09-12 06:47:36 EDT
Also, there is another layout for Turkey called "trf" for console.  But it does
not have any corresponding map under X (As far as I know).  

Ideally, RedHat install should allow selecting between (Turkish Q) keyboard and
(Turkish F) keyboard layouts both under X and under console.  (Win32 allows this).

(Turkish F) is not as popular as (Turkish Q) but almost all govermental offices
still uses (Turkish F) keyboards.
Comment 4 Ecmel Ercan 2001-10-07 09:57:31 EDT
Just a note, lat15-sun16 does not work for Turkish keyboard.  I use, lat5-16.
Comment 5 Alexandre Oliva 2001-10-25 17:39:50 EDT
The installer should not only set up both the console and X11 keyboard
configurations, but also offer the same set of options in both installation modes.
Comment 6 Michael Fulbright 2002-03-26 12:45:52 EST
Deferring to future release.
Comment 7 Red Hat Bugzilla 2006-02-21 13:48:07 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.